reflex::Input::file_encoding Struct Reference

|  | reflex::Input::file_encoding Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
reflex::Input::file_encoding Struct Reference

Common file_encoding constants. More...

`#include <input.h>`

## Static Public Attributes
static const file_encoding_type | plain = 0
| plain octets: 7-bit ASCII, 8-bit binary or UTF-8 without BOM detected More...
static const file_encoding_type | utf8 = 1
| UTF-8 with BOM detected. More...
static const file_encoding_type | utf16be = 2
| UTF-16 big endian. More...
static const file_encoding_type | utf16le = 3
| UTF-16 little endian. More...
static const file_encoding_type | utf32be = 4
| UTF-32 big endian. More...
static const file_encoding_type | utf32le = 5
| UTF-32 little endian. More...
static const file_encoding_type | latin = 6
| ISO-8859-1, Latin-1. More...
static const file_encoding_type | cp437 = 7
| DOS CP 437. More...
static const file_encoding_type | cp850 = 8
| DOS CP 850. More...
static const file_encoding_type | cp858 = 9
| DOS CP 858. More...
static const file_encoding_type | ebcdic = 10
| EBCDIC. More...
static const file_encoding_type | cp1250 = 11
| Windows CP 1250. More...
static const file_encoding_type | cp1251 = 12
| Windows CP 1251. More...
static const file_encoding_type | cp1252 = 13
| Windows CP 1252. More...
static const file_encoding_type | cp1253 = 14
| Windows CP 1253. More...
static const file_encoding_type | cp1254 = 15
| Windows CP 1254. More...
static const file_encoding_type | cp1255 = 16
| Windows CP 1255. More...
static const file_encoding_type | cp1256 = 17
| Windows CP 1256. More...
static const file_encoding_type | cp1257 = 18
| Windows CP 1257. More...
static const file_encoding_type | cp1258 = 19
| Windows CP 1258. More...
static const file_encoding_type | iso8859_2 = 20
| ISO-8859-2, Latin-2. More...
static const file_encoding_type | iso8859_3 = 21
| ISO-8859-3, Latin-3. More...
static const file_encoding_type | iso8859_4 = 22
| ISO-8859-4, Latin-4. More...
static const file_encoding_type | iso8859_5 = 23
| ISO-8859-5, Cyrillic. More...
static const file_encoding_type | iso8859_6 = 24
| ISO-8859-6, Arabic. More...
static const file_encoding_type | iso8859_7 = 25
| ISO-8859-7, Greek. More...
static const file_encoding_type | iso8859_8 = 26
| ISO-8859-8, Hebrew. More...
static const file_encoding_type | iso8859_9 = 27
| ISO-8859-9, Latin-5. More...
static const file_encoding_type | iso8859_10 = 28
| ISO-8859-10, Latin-6. More...
static const file_encoding_type | iso8859_11 = 29
| ISO-8859-11, Thai. More...
static const file_encoding_type | iso8859_13 = 30
| ISO-8859-13, Latin-7. More...
static const file_encoding_type | iso8859_14 = 31
| ISO-8859-14, Latin-8. More...
static const file_encoding_type | iso8859_15 = 32
| ISO-8859-15, Latin-9. More...
static const file_encoding_type | iso8859_16 = 33
| ISO-8859-16. More...
static const file_encoding_type | macroman = 34
| Macintosh Roman with CR to LF translation. More...
static const file_encoding_type | koi8_r = 35
| KOI8-R. More...
static const file_encoding_type | koi8_u = 36
| KOI8-U. More...
static const file_encoding_type | koi8_ru = 37
| KOI8-RU. More...
static const file_encoding_type | null_data = 38
| swap NUL with LF More...
static const file_encoding_type | custom = 39
| custom code page More...

## Detailed Description

Common file_encoding constants.

## Member Data Documentation

const file_encoding_type reflex::Input::file_encoding::cp1250 = 11
| static

Windows CP 1250.

const file_encoding_type reflex::Input::file_encoding::cp1251 = 12
| static

Windows CP 1251.

const file_encoding_type reflex::Input::file_encoding::cp1252 = 13
| static

Windows CP 1252.

const file_encoding_type reflex::Input::file_encoding::cp1253 = 14
| static

Windows CP 1253.

const file_encoding_type reflex::Input::file_encoding::cp1254 = 15
| static

Windows CP 1254.

const file_encoding_type reflex::Input::file_encoding::cp1255 = 16
| static

Windows CP 1255.

const file_encoding_type reflex::Input::file_encoding::cp1256 = 17
| static

Windows CP 1256.

const file_encoding_type reflex::Input::file_encoding::cp1257 = 18
| static

Windows CP 1257.

const file_encoding_type reflex::Input::file_encoding::cp1258 = 19
| static

Windows CP 1258.

const file_encoding_type reflex::Input::file_encoding::cp437 = 7
| static

DOS CP 437.

const file_encoding_type reflex::Input::file_encoding::cp850 = 8
| static

DOS CP 850.

const file_encoding_type reflex::Input::file_encoding::cp858 = 9
| static

DOS CP 858.

const file_encoding_type reflex::Input::file_encoding::custom = 39
| static

custom code page

const file_encoding_type reflex::Input::file_encoding::ebcdic = 10
| static

EBCDIC.

const file_encoding_type reflex::Input::file_encoding::iso8859_10 = 28
| static

ISO-8859-10, Latin-6.

const file_encoding_type reflex::Input::file_encoding::iso8859_11 = 29
| static

ISO-8859-11, Thai.

const file_encoding_type reflex::Input::file_encoding::iso8859_13 = 30
| static

ISO-8859-13, Latin-7.

const file_encoding_type reflex::Input::file_encoding::iso8859_14 = 31
| static

ISO-8859-14, Latin-8.

const file_encoding_type reflex::Input::file_encoding::iso8859_15 = 32
| static

ISO-8859-15, Latin-9.

const file_encoding_type reflex::Input::file_encoding::iso8859_16 = 33
| static

ISO-8859-16.

const file_encoding_type reflex::Input::file_encoding::iso8859_2 = 20
| static

ISO-8859-2, Latin-2.

const file_encoding_type reflex::Input::file_encoding::iso8859_3 = 21
| static

ISO-8859-3, Latin-3.

const file_encoding_type reflex::Input::file_encoding::iso8859_4 = 22
| static

ISO-8859-4, Latin-4.

const file_encoding_type reflex::Input::file_encoding::iso8859_5 = 23
| static

ISO-8859-5, Cyrillic.

const file_encoding_type reflex::Input::file_encoding::iso8859_6 = 24
| static

ISO-8859-6, Arabic.

const file_encoding_type reflex::Input::file_encoding::iso8859_7 = 25
| static

ISO-8859-7, Greek.

const file_encoding_type reflex::Input::file_encoding::iso8859_8 = 26
| static

ISO-8859-8, Hebrew.

const file_encoding_type reflex::Input::file_encoding::iso8859_9 = 27
| static

ISO-8859-9, Latin-5.

const file_encoding_type reflex::Input::file_encoding::koi8_r = 35
| static

KOI8-R.

const file_encoding_type reflex::Input::file_encoding::koi8_ru = 37
| static

KOI8-RU.

const file_encoding_type reflex::Input::file_encoding::koi8_u = 36
| static

KOI8-U.

const file_encoding_type reflex::Input::file_encoding::latin = 6
| static

ISO-8859-1, Latin-1.

const file_encoding_type reflex::Input::file_encoding::macroman = 34
| static

Macintosh Roman with CR to LF translation.

const file_encoding_type reflex::Input::file_encoding::null_data = 38
| static

swap NUL with LF

const file_encoding_type reflex::Input::file_encoding::plain = 0
| static

plain octets: 7-bit ASCII, 8-bit binary or UTF-8 without BOM detected

const file_encoding_type reflex::Input::file_encoding::utf16be = 2
| static

UTF-16 big endian.

const file_encoding_type reflex::Input::file_encoding::utf16le = 3
| static

UTF-16 little endian.

const file_encoding_type reflex::Input::file_encoding::utf32be = 4
| static

UTF-32 big endian.

const file_encoding_type reflex::Input::file_encoding::utf32le = 5
| static

UTF-32 little endian.

const file_encoding_type reflex::Input::file_encoding::utf8 = 1
| static

UTF-8 with BOM detected.

The documentation for this struct was generated from the following file:

- input.h